// 动态加载modules
const loadModules = () => {
  const context = require.context('./icons', true, /\.png$/)
  const modules = context.keys().reduce((modules, modulePath) => {
    const moduleName = modulePath.replace(/^\.\/(.*)\.\w+$/, '$1')
    const value = context(modulePath)
    modules[moduleName] = value
    return modules
  }, {})
  return { modules, context }
}

const { modules } = loadModules()

export default modules
